Gimp Man Pages

There are two Gimp man pages: one for Gimp and one for a utility called Gimp-tool.

## The Gimp Man Page

### Name

Gimp -- an image manipulation and paint program.

### Synopsis

Gimp [-h] [--help] [-v] [--version] [-b] [--batch <commands>] [-n] [--no-interface] [--no-data] [--verbose] [--no-shm] [--no-xshm] [--display display] [--no-splash] [--no-splash-image] [--debug-handlers]

### Description

Gimp is the GNU Image Manipulation Program. It is used to edit and manipulate images. It can load and save a variety of image formats and can be used to convert between formats.

Gimp can also be used as a paint program. It features a set of drawing and painting tools such as airbrush, clone, pencil and paint brush. Painting and drawing tools can be applied to an image with a variety of paint modes. It also offers an extensive array of selection tools like rectangle, ellipse, fuzzy select, bezier select, intelligent scissors and select by color.

Gimp offers a variety of plug-ins that perform a variety of image manipulations. Examples include bumpmap, edge detect, gaussian blur and many others.

In addition, Gimp has several scripting extensions which allow for advanced non-interactive processing and creation of images.

### Options

The Gimp accepts the following options:

-h, --help
Display a list of all commandline options.

-v,--version
Output the version info.

-b,--batch <commands>
Execute the set of <commands> non-interactively. The set of <commands> is typically in the form of a script that can be executed by one of the Gimp scripting extensions.

-n, --no-interface
Run without a user interface.

--no-data
Do not load patterns, gradients, palettes or brushes. Often useful in non-interactive situations where startup time is to be minimized.

--verbose
Show startup messages.

--no-shm
Do not use shared memory between Gimp and its plug-ins. Instead of using shared memory, Gimp will send the data via pipe. This will result in slower performance than using shared memory.

--no-xshm
Do not use the X Shared Memory extension. If Gimp is being displayed on a remote X server, this probably needs to be enabled. Also useful for any X server that doesn't properly support the X shared memory extension. This will result in slower performance than with X shared memory enabled.

--display display
Use the designated X display.

--no-splash
Do not show the splash screen.

--no-splash-image
Do not show the splash screen image as part of the splash screen.

--debug-handlers
Enable debugging signal handlers.

### Environment

DISPLAY
to get the default host and display number.

XENVIRONMENT
to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

### Files

Most Gimp configuration is read in from the users init file, $HOME/.Gimp/Gimprc. The system-wide equivalent is in $PREFIX/share/Gimp/Gimprc. The system-wide file is parsed first and the user Gimprc can override the system settings. $PREFIX/share/Gimp/Gimprc_user is the default Gimprc placed in users home directories the first time Gimp is ran.

$HOME/.Gimp/gtkrc -- users set of GTK config settings. Options such as widget color and fonts sizes can be set here.

$PREFIX/share/gtkrc -- system-wide default set of GTK config settings.

$HOME/.Gimp/menurc -- user's set of key bindings.

$PREFIX/share/menurc -- system-wide set of key bindings.

$HOME/.Gimp/plug-ins -- location of user installed plug-ins.

$HOME/.Gimp/pluginrc -- plug-in initialization values are stored here. This file is parsed on startup and regenerated if need be.

$HOME/.Gimp/tmp -- default location that Gimp uses as temporary space.

Gimp's data files are stored in $PREFIX/share/Gimp where $PREFIX is set on install, but is typically /usr/local.

$PREFIX/share/Gimp/brushes -- system wide brush files.

$HOME/.Gimp/brushes -- user created and installed brush files. This files are in the .gbr (Gimp brush) format.

$PREFIX/share/Gimp/palettes -- the system wide palette files. The files are copied to the user palettes directory when Gimp is first ran to allow the user to modify the palettes. This directory is not searched for palettes by default.

$HOME/.Gimp/palettes -- copies of the system palette files as well as user-created and -modified palette files.

$PREFIX/share/Gimp/patterns -- basic set of patterns for use in Gimp.

$HOME/.Gimp/patterns -- user-created and -installed Gimp pattern files. This files are in the .pat format.

$PREFIX/share/Gimp/gradients -- standard system wide set of gradient files.

$HOME/.Gimp/gradients -- user-created and -installed gradient files.

$PREFIX/share/Gimp/palettes -- system wide palette files.

$HOME/.Gimp/palettes -- user-created and -installed palette files.

$PREFIX/share/Gimp/scripts -- system-wide directory of scripts used in Script-Fu and other scripting extensions.

$HOME/.Gimp/scripts -- user-created and -installed scripts.

$PREFIX/share/Gimp/gflares -- system-wide directory used by the gflare plug-in.

$HOME/.Gimp/gflares -- user-created and -installed gflare files.

$PREFIX/share/Gimp/gfig -- system-wide directory used by the gfig plug-in.

$HOME/.Gimp/gfig -- user-created and -installed gfig files.

$PREFIX/share/Gimp/Gimp_splash.ppm -- graphic file used for the Gimp splash screen.

$PREFIX/share/Gimp/Gimp_logo.ppm -- graphic file used in the Gimp about dialog.

$PREFIX/share/Gimp/Gimp_tips.txt -- list of tips displayed in the "Tip of the Day" dialog box.

#### See Also

The X man page available on your Unix workstation

### Copyright

Copyright © 1995 Spencer Kimball and Peter Mattis

Permission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

### Suggestions And Bug Reports

Any bugs found should be reported to the Gimp Developer mailing list at Gimp-developer@scam.xcf.berkeley.edu or you may want to make use of the online bug-tracking system available on the Web at http://www.wilberworks.com/bugs.html.

Before reporting bugs, please check to see if the bug is mentioned in the FAQs or the mailing list archive. See the section on Other Info for locations of these.

When reporting Gimp bugs, it is important to include a reliable way to reproduce the bug, version number of Gimp (and probably GTK), OS name and version and any relevant hardware specs. It is also very important to include as much info as possible about the X-server the problem was found on including at least server name, the visual and the bit depth.

If a bug is causing a crash, it is very useful if a stack trace can be provided. And of course, patches to rectify the bug are even better.

### Other Info

The canonical place to find GIMP info is at http://www.Gimp.org. Here you can find links to just about every other Gimp site, tutorials, data sets, mailing list archives and more.

There is also a Gimp User Manual available at http://manual.gimp.org that goes into much more detail about the interactive use of Gimp. (Check www.Gimp.org for an up-to-date location; this location is not permanent)

The latest version of Gimp and the gtk libraries is always available at ftp://ftp.Gimp.org.

### AUTHORS

Spencer Kimball and Peter Mattis.

With patches, fixes, plug-ins, extensions, scripts and more, from lots and lots of people including but not limited to Lauri Alanko, Shawn Amundson, John Beale, Zach Beane, Tom Bech, Marc Bless, Edward Blevins, Roberto Boyd, Seth Burgess, Brent Burton, Ed Connel, Andreas Dilger, Larry Ewing, David Forsyth, Jim Geuther, Scott Goehring, Heiko Goller, Michael Hammel, Christoph Hoegl, Jan Hubicka, Simon Janes, Ben Jackson, Tim Janik, Tuomas Kuosmanen, Peter Kirchgessner, Karl LaRocca, Jens Lautenbacher, Laramie Leavitt, Raph Levien, Adrian Likins, Ingo Luetkebohle, Josh MacDonald, Ed Mackey, Marcelo Malheiros, Ian Main, Torsten Martinsen, Federico Mena, Adam D. Moss, Shuji Narazaki, Sven Neumann, Stephen Robert Norris, Erik Nygren, Miles O'Neal, Jay Painter, Mike Phillips, Raphael Quinet, James Robinson, Mike Schaeffer, Tracy Scott, Manish Singh, Nathan Summers, Mike Sweet, Eiichi Takamori, Tristan Tarrant, Owen Taylor, Ian Tester, James Wang and Kris Wehner.

## The gimp-tool Man Page

#### Name

gimp-tool -- script to perform various Gimpy functions

### Synopsis

gimp-tool [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags] [--build plug-in.c] [--install plug-in.c] [--install-admin plug-in.c]

### Description

gimp-tool is a tool that can, among other things, build plug-ins and install them if they are distributed in one .c file.

Gimp-tool is also used by programs that need to know what libraries and include-paths Gimp was compiled with .m4 macros for use with GNU autoconf are also included, to make detection of these libraries etc., easy for the upstream maintainer.

### Options

Gimp-tool accepts the following options:

--build plug-in.c
Compile and link plug-in.c into a Gimp plug-in.

--install plug-in.c
Compile, link, and install plug-in.c into the user's personal Gimp configuration directory (for example,
/home/che/.Gimp/plug-ins/)

--install-admin plug-in.c
Compile, link, and install plug-in.c into the system-wide Gimp plug-ins directory (for example, /usr/lib/Gimp/0.99/plug-ins/)

--version
Display the currently installed version of Gimp.

--libs
Display the libraries Gimp was compiled with.

--cflags
Display the flags that were passed to the compiler when Gimp was compiled.

### Environment

GTK_CONFIG to get the location of the gtk-config program.

CC to get the name of the desired C compiler.

CFLAGS to get the preferred flags to pass to the C compiler.

### See Also

The gimp man page and the gtk-config(1) man page available on your UNIX workstation.

### Copyright

Copyright © 1995 Spencer Kimball and Peter Mattis

Permission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

``

Frozenriver Digital Design http://www.frozenriver.nu Voice: +46 (0)31 474356 Fax: +46 (0)31 493833 support@frozenriver.com | Publisher Coriolis http://www.coriolis.com